# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

inherit eutils

DESCRIPTION="IBM ThinkPad Harddrive Active Protection disk head parking daemon"
HOMEPAGE="http://hdaps.sourceforge.net/"
SRC_URI="http://rjenster.rj.ohost.de/thinkpad/hdaps/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"

IUSE=""
RDEPEND="app-laptop/hdaps"

src_compile() {
	cd $WORKDIR
	gcc hdapsd.c -o hdapsd
}

src_install() {
	dobin ${WORKDIR}/hdapsd
	newconfd ${FILESDIR}/hdapsd.conf hdapsd
	newinitd ${FILESDIR}/hdapsd.rc hdapsd
}

pkg_postinst(){
	echo
	echo
	ewarn "If you use syslog-ng you might want to add the following "
	ewarn "to /etc/syslog-ng/syslog-ng.conf to prevent your logfile"
	ewarn "getting flooded with the output of hdapsd:"
	echo
	einfo "filter f_not_hdapsd { not match("queue_protect_store") and not match
	("idedisk_issue_protect_fn") and not match ("ide_protect_queue"); };"
	echo
	einfo "log { source(src); filter("f_not_hdapsd"); destination(messages); };"
	einfo "log { source(src); destination(console_all); };"
	echo
	echo
}	
